group = "rip.iwakura"
version = "0.1.0"

plugins {
    java
    kotlin("jvm") version "2.1.10"
    id("com.github.johnrengelman.shadow") version "7.1.2"
    id("de.eldoria.plugin-yml.paper") version "0.7.1"
}

repositories {
    mavenCentral()
    maven {
        name = "papermc"
        url = uri("https://repo.papermc.io/repository/maven-public/")
    }
}

paper {
    main = "rip.iwakura.civil.Core"
    authors = listOf("hex", "grng")
    apiVersion = "1.21"
}


dependencies {
    compileOnly("io.papermc.paper:paper-api:1.21.4-R0.1-SNAPSHOT")
    library("com.google.code.gson", "gson", "2.10.1") // All platform plugins
    shadow("org.jetbrains.kotlin:kotlin-stdlib:2.1.10")
}

kotlin {
    jvmToolchain(21)
}
